#include "rigidbodytransformation.h"
#include "primitive.h"

RigidBodyTransformation::RigidBodyTransformation(Primitive* child)
{
    translation = QVector3D(0,0,0);
    rotation = QQuaternion();
//    this->child = child;

    children.append(child);
    name = "";
//    qDebug() << "new rbt " << tx << "," << ty << "," << tz << ", rot " << rotation;
}

RigidBodyTransformation::~RigidBodyTransformation(){
//apparently I do not need to call the baseclass destructor.
}


void RigidBodyTransformation::addTranslation(QVector3D diff){
    translation += diff;
}

const QVector3D RigidBodyTransformation::getTranslation(){
    return translation;
}

const QQuaternion RigidBodyTransformation::getRotation(){
    return rotation;
}

void RigidBodyTransformation::addRotation(QQuaternion diff){
    rotation = diff*rotation;
    rotation.normalize();
}

void RigidBodyTransformation::setRotation(QQuaternion newRotation){
    rotation = newRotation;
}

Primitive* RigidBodyTransformation::getChildPrimitive(){
    if (children.length() > 0){
        return static_cast<Primitive*>(children[0]);//TODO aufpassen falls höhere tiefe
    }
    qDebug("WAAAH");
}
