#ifndef TREEITEM_H
#define TREEITEM_H

#include <QList>
#include <QDebug>

class TreeItem
{
public:
    TreeItem();
    ~TreeItem();

    TreeItem* getParent();
    QList<TreeItem*> getChildren();
    TreeItem* getChild(int index);//return 0 if index too large
    int getChildrenCount();
    int columnCount();

    QVariant data(int column); //returns QVariant for name string

    void addChild(TreeItem* item);
    bool removeChild(TreeItem* item);
    void setParent(TreeItem* parent);

    int childNumber();
protected:
    TreeItem* parent;
    QList<TreeItem*> children;
    QString name;
};

#endif // TREEITEM_H
